<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): /home/mohamed/code/tigl/examples Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_5cb698dd68e4a64db08e4a31a28ab366.html">examples</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">examples Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:tiglExamplesPageRank_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesPageRank_8cpp.html">tiglExamplesPageRank.cpp</a></td></tr>
<tr class="memdesc:tiglExamplesPageRank_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">test file for testing the page rank algorithm <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesPageRank_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesPageRank_8hpp.html">tiglExamplesPageRank.hpp</a> <a href="tiglExamplesPageRank_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesPageRank_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains vertex definition and combiner for the Page Rank algorithm of TIGL Engine <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesPageRankSequential_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesPageRankSequential_8hpp.html">tiglExamplesPageRankSequential.hpp</a> <a href="tiglExamplesPageRankSequential_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesPageRankSequential_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">sequential implementation of page rank algorithm <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesPageRankVertexSequential_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesPageRankVertexSequential_8hpp.html">tiglExamplesPageRankVertexSequential.hpp</a> <a href="tiglExamplesPageRankVertexSequential_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesPageRankVertexSequential_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> Class definition of Sequential version of the PageRank algorithm. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesSSSP_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesSSSP_8cpp.html">tiglExamplesSSSP.cpp</a></td></tr>
<tr class="memdesc:tiglExamplesSSSP_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">test file for testing the single source shortest path algorithm <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesSSSP_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesSSSP_8hpp.html">tiglExamplesSSSP.hpp</a> <a href="tiglExamplesSSSP_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesSSSP_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains vertex definition and combiner for the Single-Source Shortest Path using the Dijkstra algorithm of Pregel Enginer <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesSSSPSequential_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesSSSPSequential_8hpp.html">tiglExamplesSSSPSequential.hpp</a> <a href="tiglExamplesSSSPSequential_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesSSSPSequential_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sequential implementation of the single-source shortest path (SSSP) algorithm. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglExamplesSSSPVertexSequential_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglExamplesSSSPVertexSequential_8hpp.html">tiglExamplesSSSPVertexSequential.hpp</a> <a href="tiglExamplesSSSPVertexSequential_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglExamplesSSSPVertexSequential_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> class definition for the Dijkstra algorithm. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Jan 20 2015 16:21:55 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
